##parameters=member_id
#$Id: getMemberFullNameFromId.py,v 1.1 2004/11/25 10:11:02 astefanescu Exp $
"""Return the member fullname given an id.

Lookup within all the members directories.
"""

pdirectories=context.portal_directories
directories=[pdirectories.members]

for directory in directories:
    try:
        member = directory.getEntry(member_id)
        return member.get('fullname', member_id)
    except (KeyError, ValueError):
        pass
return member_id
